import java.util.Scanner;



public class Fr {

	public static int[][] edges;

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		
		while(sc.hasNext()){
			int nodeCnt = sc.nextInt();
			int centralNd = sc.nextInt();
			
			edges = new int[nodeCnt][nodeCnt];
			
			for(int i = 0; i < nodeCnt - 1; i++){
				int nodeA = sc.nextInt() - 1;
				int nodeB = sc.nextInt() - 1;
				int price = sc.nextInt();
				
				edges[nodeA][nodeB] = edges[nodeB][nodeA] = price;
			}
			
			long suma = getMinTonda(centralNd - 1, Long.MAX_VALUE);
			System.out.println(suma);
			
			
			
		}
		
		
	}
	
	public static long getMin(int nodeIndex, long tmpMin){
		long suma = 0;
		
		for(int i = 0; i < edges.length; i++){
			if(i != nodeIndex){
				if(edges[nodeIndex][i] != 0){
					int tmpVal = edges[nodeIndex][i];
					edges[nodeIndex][i] = 0;
					edges[i][nodeIndex] = 0;

					suma += getMin(i, tmpVal);
				}
			}
		}		
		
		
		
		if(suma == 0){
			return tmpMin;
		}else{
			return tmpMin < suma ? tmpMin : suma;
		}
	}
	
	public static long getMinTonda(int nodeIndex, long tmpMin){
		long suma = 0;
		
		for(int i = nodeIndex+1; i < edges.length; i++){
				if(edges[nodeIndex][i] != 0){
					int tmpVal = edges[nodeIndex][i];
					edges[nodeIndex][i] = edges[i][nodeIndex] = 0;
					suma += getMinTonda(i, tmpVal);
				}
		}		
		
		if(suma == 0){
			return tmpMin;
		}else{
			return tmpMin < suma ? tmpMin : suma;
		}
	}

	/*class Node {
		ArrayList<Node> childrens;
		long price;
		
		public  Node(long price) {
			childrens = new ArrayList<Fr.Node>();
			this.price = price;
		}
		
		public void addChildren(Node n){
			childrens.add(n);
		}
	}*/
	
}
